
/**
 * Write a description of class Switch here.
 * 
 * @author Kent Archie 
 * @version 1.0
 */
public class Switch
{
    public final static int SLIDE=0;  // standard slide switch
    public final static int PUSH=1;   // push button
    public final static int TURN=2;   // rotate switch
    private int type;
    private boolean status=false;

    /**
     * Constructor for objects of class Switch
     */
    public Switch()
    {
        type=SLIDE; status=false;
    } // Switch

     /**
     * Constructor for objects of class Switch
     */
    public Switch(int ntype)
    {
        type=ntype; status=false;
    }

    /**
     * Get the switch type
     * 
     * @return     the type
     */
    public int getType()
    {
        return type;
    } // getType

    /**
     * Get the switch status
     * 
     * @return     the status
     */
    public boolean getStatus()
    {
        return status;
    } // getStatus

    /**
     * Get the switch status as a string
     * 
     * @return     the status as a string
     */
    public String statusString()
    {
        return status ? "on" : "off";
    } // statusString

    /**
     * Set the switch Status
     * 
     */
    public void toggle()
    {
        status = !status;
    } // toggle

    /** return string form of the Switch type */
    public String toString()
    {
        switch(type) {
            case SLIDE : return("slide");
                            break;
            case PUSH :  return("pushbutton");
                            break;
            case TURN :  return("Rotatable");
                            break;
            default :       return("iduno");
                            break;
        } // esac
    } // toString
} // Switch
